sysfs
3
HAL Library

# sysfs

## Synopsis

    int         lstat                           (const char *file_name,
                                                 struct stat *buf);
    int         readlink                        (const char *path,
                                                 char *buf,
                                                 size_t bufsize);
    int         getpagesize                     (void);
    int         isascii                         (int c);
    #define     dprintf                         (format, arg...)

## Description

## Details

### lstat ()

    int         lstat                           (const char *file_name,
                                                 struct stat *buf);

`file_name` :

`buf` :

Returns :

### readlink ()

    int         readlink                        (const char *path,
                                                 char *buf,
                                                 size_t bufsize);

`path` :

`buf` :

`bufsize` :

Returns :

### getpagesize ()

    int         getpagesize                     (void);

Returns :

### isascii ()

    int         isascii                         (int c);

`c` :

Returns :

### dprintf()

    #define     dprintf(format, arg...)

`format` :

`arg...` :

`arg...` :

`arg...` :